Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.crs.transformations
Class TransformationFactory

    java.lang.Object
      org.deegree.crs.transformations.TransformationFactory

    public class TransformationFactory

extends Object

The `TransformationFactory` class is the central access point for all transformations between different crs's.

It creates a transformation chain for two given CoordinateSystems by considering their type. For example the Transformation chain from EPSG:31466 ( a projected crs with underlying geographic crs epsg:4314 using the DHDN datum and the TransverseMercator Projection) to EPSG:28992 (another projected crs with underlying geographic crs epsg:4289 using the 'new Amersfoort Datum' and the StereographicAzimuthal Projection) would result in following Transformation Chain:

1. Inverse projection - thus getting the coordinates in lat/lon for geographic crs epsg:4314
2. Geodetic transformation - thus getting x-y-z coordinates for geographic crs epsg:4314
3. WGS84 transformation -thus getting the x-y-z coordinates for the WGS84 datum
4. Inverse WGS84 transformation -thus getting the x-y-z coordinates for the geodetic from epsg:4289
5. Inverse geodetic - thus getting the lat/lon for epsg:4289
6. projection - getting the coordinates (in meters) for epsg:28992

Version:
  $Revision: 19653 $, $Date: 2009-09-15 14:56:30 +0200 (Di, 15. Sep 2009) $
Author:
  Rutger Bezema, last edited by: $Author: rbezema $

Method Summary
`Transformation` | `createFromCoordinateSystems(CoordinateSystem sourceCRS, CoordinateSystem targetCRS)` Creates a transformation between two coordinate systems.
`static TransformationFactory` | `getInstance()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static TransformationFactory getInstance()

  Returns:
    the default coordinate transformation factory.

### createFromCoordinateSystems

    public Transformation createFromCoordinateSystems(CoordinateSystem sourceCRS,
                                                      CoordinateSystem targetCRS)
                                               throws TransformationException,
                                                      IllegalArgumentException

  Creates a transformation between two coordinate systems. This method will examine the coordinate systems in order to construct a transformation between them.

  Parameters:
    `sourceCRS` - Input coordinate system.
    `targetCRS` - Output coordinate system.
  Returns:
    A coordinate transformation from `sourceCRS` to `targetCRS`.
  Throws:
    `TransformationException`
    `TransformationException` - if no transformation path has been found.
    `IllegalArgumentException` - if the sourceCRS or targetCRS are `null`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org